#!/bin/bash

# Takes a region screenshot and saves it.
# Depends:
# - maim
# - upload.sh (bundled)

# TODO:
# - Setting to delete screenshot
# - Options (-f fullscreen, -s selection, -h help, 

# Settings
SCREENSHOT="${HOME}"/Pictures/screenshots/`date +%Y-%m-%d\(%H:%M:%S\)`.png # By default, save screenshot to tmp, for screenshot uploading.

# Functions
function screenshot {
    echo "Click and hold to select screenshot area"
    maim -s -o ${SCREENSHOT}
}

# '''Logic'''
screenshot

# Comment these lines if you want to only save the screenshot
exec upload ${SCREENSHOT}